#ifndef DATASTREAM_H
#define DATASTREAM_H

#include <QVector>
class DataStream
{
public:
    DataStream();
    DataStream(QVector<quint8> &data);
    QVector<quint8> data;
    quint32 pos;
    void close(QVector<quint8> &data);
};
DataStream &operator>>(DataStream &in, quint8 &value);
DataStream &operator>>(DataStream &in, quint16 &value);
DataStream &operator>>(DataStream &in, quint32 &value);
DataStream &operator>>(DataStream &in, qint8 &value);
DataStream &operator>>(DataStream &in, qint16 &value);
DataStream &operator>>(DataStream &in, qint32 &value);
DataStream &operator<<(DataStream &out, quint8 &value);
DataStream &operator<<(DataStream &out, quint16 &value);
DataStream &operator<<(DataStream &out, quint32 &value);
DataStream &operator<<(DataStream &out, qint8 &value);
DataStream &operator<<(DataStream &out, qint16 &value);
DataStream &operator<<(DataStream &out, qint32 &value);

#endif // DATASTREAM_H
