#ifndef NARC_H
#define NARC_H

//#include <QtCore>
///*
#include <QtGlobal>
#include <QFile>
#include <QVector>
#include <QList>
#include <QDataStream>
//*/
class Narc
{
public:
    //functions
    Narc();
    Narc(QFile &file,quint32 offset);
    void writeNarc(QFile &file,quint32 offset);
    //variables
    quint32 magic;
    quint16 unk1;
    quint16 unk2;
    quint32 size;
    quint16 headerSize;
    quint16 unk3;
    quint32 btaf;
    quint32 btafSize;
    quint32 numEntries;
    QVector<quint32> startOffsets;
    QVector<quint32> endOffsets;
    quint32 btnf;
    quint32 btnfSize;
    quint32 unk4;
    quint32 unk5;
    quint32 gmif;
    quint32 gmifSize;
    QList<QVector<quint8> > fileData;
};
QDataStream &operator<<(QDataStream &out, const Narc *narc);
QDataStream &operator>>(QDataStream &in, Narc *narc);
#endif // NARC_H
